SDL_HINT_FORCE_RAISEWINDOW(3)

NAME
SDL_HINT_FORCE_RAISEWINDOW - A variable controlling whether raising the window should be done more forcefully.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_FORCE_RAISEWINDOW "SDL_FORCE_RAISEWINDOW"

DESCRIPTION
The variable can be set to the following values:

• "0": Honor the OS policy for raising windows. (default)

• "1": Force the window to be raised, overriding any OS policy.

At present, this is only an issue under MS Windows, which makes it nearly impossible to programmatically move a window to the foreground, for "security" reasons. See http://stackoverflow.com/a/34414846 for a discussion.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.